# vim: ft=caddyfile

linkace.bbaovanc.com {
    encode zstd gzip
    import hsts

    root * /var/www/linkace.bbaovanc.com/public
    php_fastcgi unix//run/php/php-fpm.sock

    header {
        X-Frame-Options "SAMEORIGIN"
        X-XSS-Protection "1; mode=block"
        X-Content-Type-Options "nosniff"
    }

    @assets {
        path *.css
        path *.js
        path *.map
        path *.scss
        path *.jpg
        path *.jpeg
        path *.png
        path *.avif
        path *.gif
        path *.mp4
        path *.woff
        path *.woff2
        path *.ico
        path *.svg
        path *.webmanifest
    }
    header @assets {
        Test "working"
    }

    file_server

    import basicerrors
}
